package Lernen;
import java.util.Scanner;

public class LottoLoesung {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        boolean haltstopp = false;

        System.out.println("Willkommen beim HSMA Lotto");
        System.out.println("Wollen Sie eine Runde spielen? (Ja/Nein)");
        String antwort = scanner.next();

        while (antwort.equalsIgnoreCase("Ja") || antwort.equalsIgnoreCase("j")) {
            int[] tippzahl = new int[6]; // Array für die 6 getippten Zahlen
            int superzahl; // Variable für die Superzahl
            int[] ziehzahlen = new int[6]; // Array für die gezogenen Zahlen

            System.out.println("Geben Sie Ihre 6 Zahlen ein (1-49):");
            for (int i = 0; i < 6; i++) {
                System.out.print("Zahl " + (i + 1) + ": ");
                tippzahl[i] = scanner.nextInt();
            }

            System.out.println("Geben Sie die Superzahl ein (0-9):");
            superzahl = scanner.nextInt();

            // Hier könntest du die Ziehung der Zahlen implementieren
            // Zum Testen könntest du Zufallszahlen generieren
            // Denk daran, die gezogenen Zahlen in das 'ziehzahlen'-Array zu speichern

            // Zufallsziehung (nur zum Testen):
            for (int i = 0; i < 6; i++) {
                ziehzahlen[i] = (int) (Math.random() * 49) + 1;
            }

            int gezogeneSuperzahl = (int) (Math.random() * 10);

            // Hier kannst du die Zahlen ausgeben und den Gewinn überprüfen
            System.out.print("Gezogene Zahlen: ");
            for (int zahl : ziehzahlen) {
                System.out.print(zahl + " ");
            }
            System.out.println("\nGezogene Superzahl: " + gezogeneSuperzahl);

            // Hier kannst du die Gewinnprüfung durchführen
            int treffer = 0;
            for (int i = 0; i < 6; i++) {
                if (contains(ziehzahlen, tippzahl[i])) {
                    treffer++;
                }
            }

            if (gezogeneSuperzahl == superzahl) {
                System.out.println("Superzahl korrekt!");
            }

            System.out.println("Anzahl richtig getippter Zahlen: " + treffer);

            // Hier kannst du den Gewinn entsprechend der Treffer auswerten

            System.out.println("Möchten Sie eine weitere Runde spielen? (Ja/Nein)");
            antwort = scanner.next();
        }

        System.out.println("Vielen Dank und auf Wiedersehen!");
    }

    // Hilfsfunktion zum Überprüfen, ob eine Zahl in einem Array enthalten ist
    public static boolean contains(int[] array, int targetValue) {
        for (int value : array) {
            if (value == targetValue) {
                return true;
            }
        }
        return false;
    }
}