package Lernen;
import java.util.Scanner;
public class Roulette {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Willkommen zum Roulette an der Hochschule Mannheim");
        System.out.println("Bitte legen Sie Ihren Pott fest");
        double pott = scanner.nextDouble();
        if (pott > 0) {
            while (pott > 0) {
                System.out.println("Ihr Pott beträgt noch " + pott + "€");
                System.out.println("Wie viel möchten Sie setzen? ");
                double einsatz = scanner.nextDouble();
                System.out.println("Auf welche Zahl oder Wettmöglichkeit möchten Sie setzen?");
                System.out.println("1. Einzelne Zahl (0-36)");
                System.out.println("2. Rot (1-10, 19-28) / Schwarz (11-18, 29-36)");
                System.out.println("3. Gerade (2, 4, 6, ...) / Ungerade (1, 3, 5, ...)");
                System.out.println("4. Dutzend (1-12, 13-24, 25-36)");
                System.out.println("5. Kolonnen 1.te, 2.te, 3.te");
                int wettOption = scanner.nextInt();
                int gewzahl = (int) (Math.random() * 37);
                switch (wettOption) {
                    case 1: // Einzelne Zahl
                        System.out.println("Sie setzen auf eine einzelne Zahl.");
                        int setzahl = scanner.nextInt();
                        if (setzahl == gewzahl) {
                            System.out.println("Das Roulette landet auf "+setzahl+" Herzlichen Glückwunsch, Sie haben gewonnen!");
                            pott += einsatz * 36; // Gewinn = 36*einsatz
                        } else {
                            System.out.println("Das Roulette landet auf "+gewzahl+" Leider hatten Sie Pech.");
                            pott -= einsatz;
                        }
                        break;
                    case 2: // Rot oder Schwarz
                        System.out.println("Sie setzen auf Rot oder Schwarz. Geben Sie 'r' für Rot oder 's' für Schwarz ein.");
                        @SuppressWarnings("unused") String farbe = (gewzahl >= 1 && gewzahl <= 10) || (gewzahl >= 19 && gewzahl <= 28) ? "rot" : "schwarz";
                        String setfarbe = scanner.next().toLowerCase();
                        if (setfarbe.equals("r") || setfarbe.equals("s")) { 
                            if (setfarbe.equals("r")) {
                                System.out.println("Das Roulette landet auf Rot. Herzlichen Glückwunsch, Sie haben gewonnen!");
                            } else {
                                System.out.println("Das Roulette landet auf Schwarz. Herzlichen Glückwunsch, Sie haben gewonnen!");
                            }
                            pott += einsatz; // Gewinn = einsatz
                        } else {
                            System.out.println("Ungültige Eingabe. Sie müssen 'r' für Rot oder 's' für Schwarz eingeben.");
                            pott -= einsatz;
                        }
                        break;
                    case 3: // Gerade oder Ungerade
                        System.out.println("Sie setzen auf Gerade oder Ungerade.");
                        String geradeUngerade = (gewzahl % 2 == 0) ? "Gerade" : "Ungerade";
                        String setgeradeUngerade = scanner.next();
                        if (setgeradeUngerade.equalsIgnoreCase(geradeUngerade)) {
                            System.out.println("Das Roulette landet auf "+setgeradeUngerade+" Herzlichen Glückwunsch, Sie haben gewonnen!");
                            pott += einsatz; // Gewinn = einsatz
                        } else {
                            System.out.println("Das Roulette landet auf "+geradeUngerade+" Leider hatten Sie Pech.");
                            pott -= einsatz;
                        }
                        break;
                    case 4: // Dutzend
                        System.out.println("Sie setzen auf ein Dutzend (1-12, 13-24, 25-36).");
                        int setdutzend = scanner.nextInt();
                        int gewdutzend = (gewzahl >= 1 && gewzahl <= 12) ? 1 : (gewzahl >= 13 && gewzahl <= 24) ? 2 : 3;
                        if (setdutzend == gewdutzend) {
                            System.out.println("Das Roulette landet auf "+setdutzend+" Herzlichen Glückwunsch, Sie haben gewonnen!");
                            pott += einsatz * 2; // Gewinn = 2*Einsatzes
                        } else {
                            System.out.println("Das Roulette landet auf "+gewdutzend+" Leider hatten Sie Pech.");
                            pott -= einsatz;
                        }
                        break;
                    case 5: 
                        System.out.println("Sie setzen auf die Kolonnen 1/2/3.");
                        int setKolonne = scanner.nextInt();
                        int gewKolonne = (int) (Math.random()*4);
                        if(gewKolonne%3 == 0 && gewKolonne+3 == setKolonne){
                        	System.out.println("Das Roulette landet auf Zahlen der Kolonne "+setKolonne+" Herzlichen Glückwunsch, Sie haben gewonnen!");
                        	pott += einsatz * 2;}
                        else if(gewKolonne == setKolonne) {
                                System.out.println("Das Roulette landet auf Zahlen der Kolonne "+gewKolonne+" Herzlichen Glückwunsch, Sie haben gewonnen!");
                                pott += einsatz * 2;
                        }
                        else {
                        	System.out.println("Das Roulette landet auf Zahlen der Kolonne "+gewKolonne+" Leider haben Sie verloren");
                            pott -= einsatz;
                        }
                        break;
                    default:
                        System.out.println("Ungültige Wettauswahl. Bitte wählen Sie erneut.");
                        break;
                }
                System.out.println("Ihr Pott beträgt jetzt " + pott + "€");
            }
        } else {
            System.out.println("Leider haben Sie keinen Einsatz getätigt. Somit können Sie nicht spielen.");
        }
        scanner.close();
    }
}