package Lernen;

public class BinSuche {

    public static void main(String[] args) {
        int[] arr = {17, 4, 3, 8, 7, 2, 5, 9, 12, 25, 0, 6, 19, 16, 42, 21};

        BubbleSort.bubbleSort(arr);
        int ergebnis = binaereSuche(arr, 42);

        if (ergebnis != -1) {
            System.out.println("Element gefunden: " + ergebnis);
        } else {
            System.out.println("Element im array nicht gefunden.");
        }
    }

    public static int binaereSuche(int[] zahlen, int gesucht) {
        int anfang = 0;
        int ende = zahlen.length - 1;

        while (anfang <= ende) {
            int mitte = (anfang + ende) / 2;

            if (zahlen[mitte] == gesucht) {
                System.out.println(mitte + " -> " + zahlen[mitte]);
                return mitte;
            } else if (zahlen[mitte] < gesucht) {
                anfang = mitte + 1;
            } else {
                ende = mitte - 1; 
            }
        }

        System.out.println("Element nicht gefunden.");
        return -1;
    }
}
