package Lernen;
import java.util.Scanner;

public class PasswortZwei {
	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);

		System.out.print("Geben Sie das Passwort ein: ");
		String password1 = scanner.nextLine();

		System.out.print("Wiederholen Sie Ihr Passwort: ");
		String password2 = scanner.nextLine();

		if (validatePassword(password1) && validatePassword(password2)) {
			System.out.println("Das Passwort erfüllt die Anforderungen.");
		} else {
			System.out.println("Dast Passwort erfüllt nicht die Anforderungen.");
			scanner.close();
		}
	}

	public static boolean validatePassword(String password) {

		if (password.length() != 3) {
			return false;
		}

		boolean hasUpperCase = false;
		boolean hasLowerCase = false;
		boolean hasDigit = false;

		for (char ch : password.toCharArray()) {
			if (Character.isUpperCase(ch)) {
				hasUpperCase = true;
			} else if (Character.isLowerCase(ch)) {
				hasLowerCase = true;
			} else if (Character.isDigit(ch)) {
				hasDigit = true;
			}
		}

		return hasUpperCase && hasLowerCase && hasDigit;


	}

}
